######################## Filebeat Configuration ############################

#==========================  Modules configuration =============================
filebeat.modules:
#-------------------------------- System Module --------------------------------
- module: system
  syslog:
    enabled: true
  auth:
    enabled: true
#-------------------------------- Auditd Module --------------------------------
- module: auditd
  log:
    enabled: true
#------------------------------- Suricata Module -------------------------------
- module: suricata
  eve:
    enabled: true
#------------------------------- Iptables Module -------------------------------
- module: iptables
  log:
    enabled: true

#================================ Outputs ======================================
#-------------------------- Elasticsearch output -------------------------------
output.elasticsearch:
  hosts: ["{{ elastic_url }}"]
  #username: "elastic"
  #password: "<password>"


#============================== Template =====================================
setup.template.enabled: true

#============================== Kibana =====================================
setup.kibana:
  host: "{{ kibana_url }}"
